# silo #

Scientific Information for Land Owners (SILO) is a database of Australian climate data from 1889 (current to yesterday). It provides daily datasets for a range of climate variables in ready-to-use formats suitable for research and climate applications. SILO products provide national coverage with interpolated infills for missing data, which allows you to focus on your research or model development without the burden of data preparation.

https://silo.longpaddock.qld.gov.au

The climate variables are:

| code                | name                                                                                    | units   |
|---------------------|-----------------------------------------------------------------------------------------|---------|
| daily_rain          | Daily rainfall                                                                          | mm      |
| monthly_rain        | Monthly rainfall                                                                        | mm      |
| max_temp            | Maximum temperature                                                                     | Celsius |
| min_temp            | Minimum temperature                                                                     | Celsius |
| vp                  | Vapour pressure                                                                         | hPa     |
| vp_deficit          | Vapour pressure deficit                                                                 | hPa     |
| evap_pan            | Evaporation - Class A pan                                                               | mm      |
| evap_syn            | Evaporation - synthetic estimate                                                        | mm      |
| evap_comb           | Evaporation - combination (synthetic estimate pre-1970, class A pan 1970   onwards)     | mm      |
| evap_morton_lake    | Evaporation - Morton's shallow lake evaporation                                         | mm      |
| radiation           | Solar radiation - total incoming downward shortwave radiation on a   horizontal surface | MJm-2   |
| rh_tmax             | Relative humidity at the time of maximum temperature                                    | %       |
| rh_tmin             | Relative humidity at the time of minimum temperature                                    | %       |
| et_short_crop       | Evapotranspiration - FAO56 short crop                                                   | mm      |
| et_tall_crop        | Evapotranspiration - ASCE tall crop                                                     | mm      |
| et_morton_actual    | Evapotranspiration - Morton's areal actual evapotranspiration                           | mm      |
| et_morton_potential | Evapotranspiration - Morton's potential evapotranspiration                              | mm      |
| et_morton_wet       | Evapotranspiration - Morton's wet-environment areal evapotranspiration   over land      | mm      |
| mslp                | Mean sea level pressure                                                                 | hPa     |

There are two different data types:
1. Point data (accessible with this python module)
2. Gridded data (accessible on the SILO website)


## Point data ##

### Installation ###

```
git clone http://git.wrl.unsw.edu.au:3000/danh/silo.git
pip install -e silo
```

## Usage ##



## Gridded data ##
